Webhooks
Update webhook subscription
Update a webhook subscription by ID.
Authorization
authorization AuthorizationBearer <token>
In: header
Path Parameters
id*string
Webhook subscription ID
Format
uuidRequest Body
application/json
Webhook subscription params
Response Body
application/json
application/json
application/json
curl -X PUT "https://api.parsel.app/webhooks/123e4567-e89b-12d3-a456-426614174000" \ -H "Content-Type: application/json" \ -d '{ "is_active": true, "topic": "LABEL_TRACKING_UPDATED", "url": "https://example.com/webhook" }'{
"created_at": {},
"id": "123e4567-e89b-12d3-a456-426614174000",
"is_active": true,
"secret": "dG9wX3NlY3JldF9rZXlfZm9yX3BhcnNlbF93ZWJob29rc18yMDI0XzEyXzE5",
"topic": "LABEL_TRACKING_UPDATED",
"updated_at": {},
"url": "https://example.com/webhook"
}{
"errors": {
"message": "The requested resource could not be found",
"status": "Not Found"
}
}{
"errors": {
"message": "The request could not be processed",
"reasons": [
{
"carrier": "UniUni",
"message": "Zip code not serviced."
}
],
"status": "Unprocessable Entity"
}
}